Subject: bug#13460: closed (Re: bug#13460: Issue to change dictionary when using hunspell on emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Jan 2013 16:54:02 +0000

Your bug report

#13460: Issue to change dictionary when using hunspell on emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13460: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13460
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13460: Issue to change dictionary when using hunspell on emacs
From: Agustin Martin <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jan 2013 17:52:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jan 18, 2013 at 08:05:41PM +0100, Agustin Martin wrote:
> On Fri, Jan 18, 2013 at 07:03:34PM +0100, Jochen Schmitt wrote:
> > On Fri, Jan 18, 2013 at 06:05:01PM +0100, Agustin Martin wrote:
> > > I will test these changes a bit more and if no problems appear will commit
> > > early next week. Feedback is welcome.
> > >
> > I will be happy, if you can notifiy me about the state of your work, 
> > because I want that this patch may be integrated in the official
> > emacs package of Fedora Linux. This is important from my point of
> > view, because hunspell is the default spell checking application
> > in Fedora.
> 
> Once I commit changes I will close the bug report and you will receive a
> message about it. If you want the final diff I can attach it to the closing
> message.

Fix committed, closing bug report.

For english I left en_US alone. For the reasons shown in the bug thread I
think is not a good idea to mix them.

I have relaxed a bit the check, if a standard dict does not have an
associated hunspell mapping it is ignored for hunspell with a warning,
so error message will only appear when trying to use that dict instead
of everytime hunspell is used as spellchecker.

Regards,

-- 
Agustin

Subject: Issue to change dictionary when using hunspell on emacs
From: Jochen Schmitt <[email-masked]>
To: [email-masked]
Date: Wed, 16 Jan 2013 13:25:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hallo,

I'm using emacs-24.1 on Fedora 17 (x86_64) and have the following
isuue. When I want to write an text in enlish I have to change
the used dictionary with M-x ispell-change-disctionary english.

Unfortunately, I have to find out, that hunspell doesn't works
properly after I have changed the dictionary to english.

My examination show, that emacs will called hunspell in the way
quoted abouve:

[s4504kr@omega ~]$ hunspell -a  -d english -B -i iso-8859-1
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
Can't open affix or dictionary files for dictionary named "english".
[s4504kr@omega ~]$ exit
exit

So It may be nice, if you have an solution for this issue.

Best Regards:

Jochen Schmitt